Mepis 8 Community Repo, The HPLIP thread

News about updates on package status for CR packages compiled for Mepis 8.0.
Message
Author
User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 3427
Joined: Wed Jul 12, 2006 4:05 pm

Mepis 8 Community Repo, The HPLIP thread

#1 Postby timkb4cq » Sun Jan 10, 2010 8:53 pm

HPLIP 3.9.12 is now available in the testing repository.

Since the last community version of this package (3.9.4) support for a number of new printers have been added. I would especially appreciate reports from users of these new printers so I can be sure the packages are working correctly as I don't have any of the new printers. My PSC 1200xi works well with them so I'm pretty sure they'll be fine.

The newly supported printers are:

HP Deskjet d1620, d1630, d1650, d1658, d1660, d1663, d2660, d2645, d2663, d2666, d2668, d2680, d5545, d5560, d5563, d5568, f24xx series, f4440, f4435, f4450, f4470, f4472, f4473, f4480, f4483, f4488, f4492

Ink Advantage k109a, k209a

PhotoSmart a640, c4640, c4650, c4680, c4610, c4635, c4670, c4673, c4680, c4683, c4688, c4740, c4750, c4780, c4783, c4785, c4788, c4793, c4795, c4798, c4799

Photosmart Plus All-in-one b109 series, b209a, b209b, b209c, c309 series

Officejet 7000 Wide
Format Printer e809a

HP LaserJet p3011, p3015, m4349 MFP, m9059 MFP

Color LaserJet
cp5225, cp5225n, cp5225dn, cm6049 MFP, Officejet 6000, 6000 Wireless

Enjoy!

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 11353
Age: 58
Joined: Fri Dec 15, 2006 8:07 pm

#2 Postby Stevo » Tue Jan 12, 2010 1:31 am

I don't have any of the printers listed, but the upgrade had no problems.
The optimist proclaims that we live in the best of all possible worlds, and the pessimist fears this is true.

James Branch Cabell

User avatar
namida12
Forum Guide
Forum Guide
Posts: 1576
Age: 51
Joined: Sun Apr 01, 2007 4:54 pm

#3 Postby namida12 » Tue Jan 12, 2010 1:51 am

timkb4cq,

Thanks so much for this update, sorry can not test, as I had my friend take the HP F2480 printer back to wal-mart for a less expensive F4280 from Office Max that worked in the old version of HPLIP...

But I am certain I will have occasion to test in in the near future... And i will be certain to provide feed back...

JR

User avatar
iridesce
Forum Regular
Forum Regular
Posts: 606
Age: 58
Joined: Wed Aug 30, 2006 1:44 am

HP Photosmart C4750 printer

#4 Postby iridesce » Mon Jan 25, 2010 6:52 pm

This is what happens ....

I just set up a friend of mine who got out of ubuntu because his current machine would not support the current version -- he had 386MB RAM ....

So, rather than play with that, I brought an old machine of mine to him that I had presetup Mepis 8.0.12 ( Epox 8RDA6+PRO mobo, Athlon XP, 1.5GB RAM ). It runs great and now, of course, he has questions about how to enable his HP Photosmart C4750 printer.

Now the help
page says that I have 6 steps and a gazillion scripts to write. The
command line start out with imbolc@righid: the help shows nothing in the
first line. What do I need to do to get my printer to work?

Now see what you have gotten yourself into.


So to help him, I searched here for C4750, I saw your thread and once again :worship: I cannot express the depths of my gratitude for your fine work.

He lives a few hours away, so I will have to handhold him through the process by phone or email. And while I did refer him to this most excellent board, he is pretty gunshy after the ubuntu experience and I thought it would be best to get his machine ( and peripherals ) running smoothly before he went adventuring further.

My current thought process is to have him download hplip from the http://main.mepis-deb.org/mepiscr/testrepo/ ( sorry, at work and running XP :embarrassed:) as a package and then install it from synaptic or kpackage, rather than run him through the adding and then disabling the repository ( KISS )

Trying not to overthink, I also saw a package named hpijs and did not know if that was applicable also.

I would appreciate knowing if I am on the right track, and if so, what is the url to download the specific applicable package.

Thanks again for your work and support of the Mepis community.
...Ostara.................................... minni
Image Image
...Mepis 11_64...........................Mepis 11_32

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 3427
Joined: Wed Jul 12, 2006 4:05 pm

#5 Postby timkb4cq » Mon Jan 25, 2010 8:42 pm

Because HPLIP consists of 8 packages (well, 10 if you include debug & dev - not needed to setup a printer) it's easier to add the repo.

Or you could download all 8 debs tarred up here:
http://teharris.net/misc/hplip_3.9.12_i386.tar.gz
make a temp folder to unpack them into and run (as root)
dpkg -i *.deb

If there are any errors you'll need to run apt-get install -f to fix dependencies.

User avatar
iridesce
Forum Regular
Forum Regular
Posts: 606
Age: 58
Joined: Wed Aug 30, 2006 1:44 am

#6 Postby iridesce » Mon Jan 25, 2010 9:32 pm

Thank you Tim.

I think that due to possible dependency issues, I will go with the repository solution. I appreciate your pointing out that facet of the solution.

He is working graveyards this week, so probably not this evening.

I will update the thread as to the progress

Thanks also for the archive ( and hosted on your site, no less ) - I am just humbled by your support.
...Ostara.................................... minni
Image Image
...Mepis 11_64...........................Mepis 11_32

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 3427
Joined: Wed Jul 12, 2006 4:05 pm

#7 Postby timkb4cq » Tue Nov 23, 2010 6:30 pm

Hplip 3.10.9 will be available this evening in the MEPIS 8.0 Testing Community Repository.

Approximately 50 new printer models have been added since 3.9.12 so it was definitely time for a refresh.

Since the latest lenny compatible debian package was 3.10.5, it took a little fiddling to get it to build, but it appears to work fine here.

If you test this package, please leave feedback here so we can move it to main.

User avatar
tpcug2005
Forum Regular
Forum Regular
Posts: 189
Joined: Fri May 18, 2007 5:45 am

#8 Postby tpcug2005 » Sun Nov 28, 2010 9:21 am

M8 and a venerable HP960c

One snag which I have encountered - the new driver has no greyscale modes for my printer and I use draft-greyscale every day.
No problem, already back to the old driver and now pinned.

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 3427
Joined: Wed Jul 12, 2006 4:05 pm

#9 Postby timkb4cq » Sun Nov 28, 2010 1:59 pm

Very odd. My older HP is a PSC 1200xi and it kept its grayscale modes in both M8 & 8.5.

I checked the new hp-deskjet_690c-hpijs.ppd file and it definitely contains the grayscale modes. In fact I did a diff on the 690c ppd files from the last version & this one and the only difference was the version numbers. It makes me wonder if your printer was recognized incorrectly, and so used the wrong ppd.

Unfortunately I don't have a HP 6xx series printer to troubleshoot this with...


Return to “Package Status - 8.0”

Who is online

Users browsing this forum: No registered users and 0 guests